de.vc.io.rtf.parser

## Class RepeatedControlTokenFilter

- java.lang.Object
- - de.vc.io.rtf.parser.FilterTokenInput
  - - de.vc.io.rtf.parser.RepeatedControlTokenFilter

- All Implemented Interfaces:
    TokenInput

      public class RepeatedControlTokenFilter
      extends FilterTokenInput

- - ### Field Summary

    - ### Fields inherited from class de.vc.io.rtf.parser.FilterTokenInput

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepeatedControlTokenFilter(TokenInput in)`
    `RepeatedControlTokenFilter(TokenInput in, org.apache.commons.logging.Log logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDefaultFilters()`
    `void` | `addFilteredControl(java.lang.String control, boolean skipDestination)`
    `Token` | `readToken()`

    - ### Methods inherited from class de.vc.io.rtf.parser.FilterTokenInput

      `getState, skipBytes, skipCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepeatedControlTokenFilter

          public RepeatedControlTokenFilter(TokenInput in)

    - #### RepeatedControlTokenFilter

          public RepeatedControlTokenFilter(TokenInput in,
                                    org.apache.commons.logging.Log logger)

  - ### Method Detail

    - #### readToken

          public Token readToken()
                          throws java.io.IOException

      Specified by:
        `readToken` in interface `TokenInput`
      Overrides:
        `readToken` in class `FilterTokenInput`
      Throws:
        `java.io.IOException`

    - #### addFilteredControl

          public void addFilteredControl(java.lang.String control,
                                boolean skipDestination)

    - #### addDefaultFilters

          public void addDefaultFilters()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.